Package tigase.db.converter.converters

## Class UserEntity

- java.lang.Object
- - tigase.db.converter.converters.UserEntity

- All Implemented Interfaces:
    `RowEntity`

      public class UserEntity
      extends java.lang.Object
      implements RowEntity

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UserEntity​(BareJID jid, java.lang.String password)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `addRosterItem​(tigase.db.converter.converters.UserRosterItem item)` |
    `boolean` | `addRosterItems​(java.util.List<tigase.db.converter.converters.UserRosterItem> items)` |
    `boolean` | `equals​(java.lang.Object o)` |
    `java.lang.String` | `getID()` |
    `BareJID` | `getJid()` |
    `java.lang.String` | `getPassword()` |
    `java.util.List<tigase.db.converter.converters.UserRosterItem>` | `getRosterItems()` |
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UserEntity

          public UserEntity​(BareJID jid,
                            java.lang.String password)

  - ### Method Detail

    - #### getJid

          public BareJID getJid()

    - #### getPassword

          public java.lang.String getPassword()

    - #### getID

          public java.lang.String getID()

      Specified by:
        `getID` in interface `RowEntity`

    - #### addRosterItem

          public boolean addRosterItem​(tigase.db.converter.converters.UserRosterItem item)

    - #### getRosterItems

          public java.util.List<tigase.db.converter.converters.UserRosterItem> getRosterItems()

    - #### addRosterItems

          public boolean addRosterItems​(java.util.List<tigase.db.converter.converters.UserRosterItem> items)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`